<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Coffee Haven</title>
    <link href="https://fonts.googleapis.com/css2?family=Playfair+Display:wght@400;700&family=Roboto:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="coffee2.css">
    <style>
        /* Fade-in animation */
        @keyframes fadeIn {
            from {
                opacity: 0;
                transform: translateY(20px);
            }
            to {
                opacity: 1;
                transform: translateY(0);
            }
        }

        body {
            background-image: url('brp.jpg'); /* Replace 'path_to_your_new_image.jpg' with the path to your new image */
            font-family: 'Roboto', sans-serif;
            margin: 0;
            animation: fadeIn 1s ease-in-out;
            background-size: cover;
            background-attachment: fixed;
        }

        header, main, footer, .modal-content {
            opacity: 0;
            animation: fadeIn 1s ease-in-out forwards;
        }

        header {
            animation-delay: 0.2s;
        }

        main {
            animation-delay: 0.2s;
        }

        footer {
            animation-delay: 0.2s;
        }

        .modal-content {
            animation-delay: 0.2s;
        }
    </style>
</head>
<body>
    <header>
        <h1>Coffee Haven</h1>

        <h4> HELLO EVERYONE WELCOME! LET'S MAKE COFFEE TOGETHER </h4>
        <nav>
            <ul>
               
                
               
               
                        <li><a class="logout" id="navbtn" href="logout.php">EXIT</a></li>
                        <li><a href="chatbot.html">Chatbot</a></li>
            </ul>
        </nav>
        <main class="box">
            <section class="navbar">
                <section class="logo">
                   <img src="coffee/login.jpg" height="100" width="100" style="border-radius: 70%;">
                </section>
                
            </section>
        </main>
        <input type="text" id="search-bar" placeholder="Search for a coffee...">
    </header>
   
    <main>
        <section id="featured-recipes">
            <h2>Featured Recipes</h2>
            <div id="recipes-list">
                <div class="recipe-item">
                    <img src="recipe1.jpg" alt="Recipe 1" class="recipe-thumbnail">
                    <span class="recipe-name">Recipe 1</span>
                </div>
                <div class="recipe-item">
                    <img src="recipe2.jpg" alt="Recipe 2" class="recipe-thumbnail">
                    <span class="recipe-name">Recipe 2</span>
                </div>
                <div class="recipe-item">
                    <img src="recipe3.jpg" alt="Recipe 3" class="recipe-thumbnail">
                    <span class="recipe-name">Recipe 3</span>
                </div>
                <div class="recipe-item">
                    <img src="recipe4.jpg" alt="Recipe 4" class="recipe-thumbnail">
                    <span class="recipe-name">Recipe 4</span>
                </div>
            </div>
        </section>
    </main>
    <div id="recipe-modal" class="modal">
        <div class="modal-content">
            <span class="close">&times;</span>
            <h2 id="modal-recipe-name"></h2>
            <img id="modal-recipe-image" src="" alt="">
            <h3>Ingredients</h3>
            <p id="modal-recipe-ingredients"></p>
            <h3>Instructions</h3>
            <p id="modal-recipe-instructions"></p>
        </div>
    </div>
    <footer>
        <p>&copy; 2024 Coffee Haven. All rights reserved.</p>
    </footer>
    <script src="coffee.js"></script>
</body>
</html>
